- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# Effect Class Reference

Search for all occurrences

## Detailed Description

Effects that can be inserted into a Path.

An effect is a special object which can perform transformations on the specified path. Examples may include simple modifiers such as fading or pitch shifting, or more complex mathematical transformations.

In order to use an effect, insert it into the path as follows:

     Path path = Phonon::createPath(...);
     Effect *effect = new Effect(this);
     path.insertEffect(effect);

The effect will immediately begin applying it's transformations on the path. To stop it, remove the Effect from the path.

Author:
  Matthias Kretz <kretz@kde.org>

Definition at line 65 of file effect.h.

`#include <Phonon/Effect>`

Inheritance diagram for Effect:
[legend]

List of all members.

## Public Member Functions
| ~Effect ()
| Effect (const EffectDescription &description, QObject *parent=0)
| QObject constructor.
EffectDescription | description () const
| Returns the description of this effect.
QList< EffectParameter > | parameters () const
| Returns a list of parameters that this effect provides to control its behaviour.
QVariant | parameterValue (const EffectParameter &) const
void | setParameterValue (const EffectParameter &, const QVariant &value)
## Protected Member Functions
| Effect (EffectPrivate &dd, QObject *parent)

## Constructor & Destructor Documentation

~Effect | ( |  | ) |

Effect | ( | const EffectDescription & | description,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

QObject constructor.

Parameters:

  description | An EffectDescription object to determine the type of effect. See BackendCapabilities::availableAudioEffects().
  parent | QObject parent

Effect | ( | EffectPrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

EffectDescription description | ( |  | ) | const

Search for all occurrences

Returns the description of this effect.

This is the same type as was passed to the constructor.

QList<EffectParameter> parameters | ( |  | ) | const

Search for all occurrences

Returns a list of parameters that this effect provides to control its behaviour.

See also:
  EffectParameter
  EffectWidget

QVariant parameterValue | ( | const EffectParameter & |  | ) | const

Search for all occurrences

void setParameterValue | ( | const EffectParameter & | ,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

The documentation for this class was generated from the following file:

- phonon/effect.h

Effect Effect Effect Effect Effect Effect Effect Effect Effect Effect
Effect Effect Effect Effect Effect Effect Effect Effect Effect Effect